Class | DRb::TimerIdConv
In: | drb/timeridconv.rb
Parent: | DRbIdConv

### Methods

new to_id to_obj

### Classes and Modules

Class DRb::TimerIdConv::TimerHolder2

### Public Class methods

new(timeout=600)

[Source]

    # File drb/timeridconv.rb, line 74
        def initialize(timeout=600)
          @holder = TimerHolder2.new(timeout)
        end

### Public Instance methods

to_id(obj)

[Source]

    # File drb/timeridconv.rb, line 85
        def to_id(obj)
          return @holder.add(obj)
        end

to_obj(ref)

[Source]

    # File drb/timeridconv.rb, line 78
        def to_obj(ref)
          return super if ref.nil?
          @holder.fetch(ref)
        rescue TimerHolder2::InvalidIndexError
          raise "invalid reference"
        end

[Validate]